Podpora PHP 5.2

Upozornění: Tohle vlákno je hodně staré a informace nemusí být platné pro současné Nette.
David Grudl
Nette Core | 7790
+
0
-

Dostal jsem otázku, jak dlouho bude podporovaná verze PHP 5.2.x.

V době, kdy jsem framework uvolnil jako open source, bylo ohlášeno vydání PHP 5.3. Kdyby skutečně vývojáři PHP dodrželi termín, možná by nikdy verze pro PHP 5.2 oficiálně neexistovala. Situace byla jiná, takže verzí frameworku je více: pro 5.2 a pro 5.3.

Kvůli hloupému avšak velmi rozšířenému mýtu správců hostingů, že na jejich pár let staré stabilní linuxové distribuci je stabilní jen přeinstalované PHP 5.2.0, podporuje dnes Nette (za značného úsilí) i tuto nepovedenou verzi. Tedy větev PHP 5.2.x je pokryta kompletně. (Nicméně některé způsoby užití frameworku nebo knihovny z Nette Extras mohou vyžadovat novější verzi.)

Do budoucna se na tomto modelu nic měnit nebude. Dokud podíl zastoupení PHP 5.2 neklesne pod rozumnou mez, bude tato verze plně podporována. Poté se vývoj zmrazí. Ovšem to se bavíme o letech, nikoliv měsících.

Patrik Votoček
Člen | 2221
+
0
-

(OT): Podle tohoto (official php.net) se finalní verze PHP 5.3 dočkáme už 30.6. (příští týden v úterý).

by jakubvrana

Majkl578
Moderator | 1364
+
0
-

a dočkali jsme se :)